{% set output = data.pop("output") %}
{% set final_data = data["final_data"] %}

[
  {% for intf in final_data %}
      {% set ptp = intf["port"] %}
      {% set subport = ptp.split(".") %}
      {
          "orchState":"active",
          "label": "{{ ptp.replace(" ","") }}",
          "discovered" : true,
          "properties" :{
              {% if ptp.startswith("Bundle-Ether") and subport|length == 1 %}
                  "structureType" : "FTP",
              {% elif subport|length == 2 %}
                  "structureType" : "CTPServerToClient",
              {% else %}
                  "structureType" : "PTP",
              {% endif %}
              "data" : {
                  "id": "{{ ptp.replace("/", "-").replace(" ","") }}",
                  "attributes" :{
                      "layerTerminations": [{
                          "linkAggregationPackage" : {
                              {% for i,j in output.iteritems() %}
                                  {% set name = ptp.split(" ")[0] + ptp.split(" ")[1] %}
                                  {% if name in j %}
                                      "lagId" : {{ i }}
                                  {% endif %}
                              {% endfor %}
                              {% if ptp.startswith("Bundle-Ether") and subport|length == 1 %}
                                  {% set name = ptp.split(" ")[1] %}
                                  {% if name in output %}
                                      "lagId" : "{{ name }}",
                                      "allPorts" : {{ output[name] | to_json }},
                                      "primaryPorts" : {{ output[name] | to_json }}
                                  {% endif %}
                              {% endif %}
                          },
                          "portAttributesPackage" : {
                              "ipv4Address" : "{{ intf['IpInfo'] }}",
                              "portDescription" : "{{ intf['Desc'] }}",
                              "mtu" : "{{ intf['Mtu'] }}",
                              "totalBandwidth" : "{{ intf['BW'] }}",
                              "totalBandwidthUnits" : "{{ intf['BwUnits'] }}"
                          },
                          {% if ptp.startswith("Bundle-Ether") and subport|length == 1 %}
                              "layerRate": "LAG",
                              "structureType": "exposed tcp",
                              "terminationState": "layer termination permanently terminated",
                          {% elif subport|length == 2 %}
                              "layerRate": "ETHERNET",
                              "structureType": "exposed lone cp",
                              "terminationState": "layer termination cannot terminate",
                          {% else %}
                              "layerRate": "DSR_1GE",
                              "structureType": "full layer fixed",
                              "terminationState": "terminated bidirectional",
                          {% endif %}
                          "active": true
                      }],
                      "stackDirection": "bidirectional",
                      {% if ptp.startswith("Bundle-Ether") and subport|length == 1 %}
                          "structureType" : "FTP",
                      {% elif subport|length == 2 %}
                          "structureType" : "CTPServerToClient",
                      {% else %}
                          "structureType" : "PTP",
                      {% endif %}
                      "nativeName": "{{ ptp.replace("/", "-").replace(" ","") }}",
                      "displayAlias": "{{ ptp }}",
                      "active": true,
                      "state": "{{ "IS" if intf['status'] == "Up" or intf['status'] == "up" else "OOS" }}",
                      "locations": [{
                          "managementType": "cli",
                          "port": "{{ ptp.replace("/", "-").replace(" ","") }}"
                      }]
                  }
              }
          }
      }{% if not loop.last %},{% endif %}
  {% endfor %}
]
